#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{

    int n;
    cin>>n;
    double a[n];
    double b[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        cin>>b[i];
    }
    double maxi=0.00, k=0.00;
    for(int i=0; i<n; i++)
    {
        k=0.00;
        for(int j=0; j<n; j++)
        {
            if(b[i]<=b[j])
            {
                k+=a[j];
            }
        }
        k=(k*b[i])/100.00;
        if(k>maxi) maxi=k;
    }
    printf("%lf", maxi);
    return 0;
}